Skip to main content

Get Account Payment Methods

Get the list of the current merchant's bound and enabled receiving/payment accounts (including account ID and payment method type ID). Used to fill in payMethod (receiving account ID) when publishing/updating an advertisement.

HTTP Request

  • GET /api/v3/fiat/merchant/payment/methods

Required Permission: P2P Account Read

Request Parameters

None (identity is identified via API Key / signature).

Response Parameters

NameTypeDescription
idlongReceiving account ID (pass this value as payMethod when publishing/updating a SELL advertisement)
payMethodlongPayment method type ID
bankNamestringBank name
accountstringAccount number
bankAddressstringBank address
payeestringPayee
qrCodestringReceiving QR code (image identifier/content, may be empty)
qrCodeUrlstringReceiving QR code image URL (may be empty)
statestringAccount status: ENABLE / DISABLE / DELETE
extendstringExtended info (JSON string)
supportCurrencystringSupported fiat currencies (comma-separated)

Response

{
"msg": "success",
"code": 0,
"data": [
{
"id": 1605,
"payMethod": 1,
"bankName": "Bank of Test",
"account": "6222020000000000",
"bankAddress": "London",
"payee": "DAVIS",
"qrCode": "",
"qrCodeUrl": "",
"state": "ENABLE",
"extend": "{\"accountType\":\"123\"}",
"supportCurrency": "GBP,EUR"
}
]
}